
QGIS Application - Bug report #4063

georeferencer crash

2011-07-08 07:31 AM - Dave Bramwell

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 14048

Description

[Bug 712620] [abrt] qgis-1.6.0-3.fc14.1: QgsImageWarper::warpFile: Process /usr/bin/qgis was killed by signal 6 (SIGABRT)

Hi,

I reported this situation via the Fedora-qgis tracker.  They've asked me to put a ticket here...

Basically, every time I try to start Georeference, my system closes QGIS & anything connected with it & returns me to the desktop....

    -  Open QGIS

    -  Load "Recent Project" 

    -  Start "Georef" Plugin from Plugin Menu

    -  Load *.jpg image of Luxembourg 1:50000 map (same as in QGIS) loads with GCP file already loaded

    -  Tried redefining one GCP point

    -  Press "Start Georef" 

    -  All QGIS files close

This has now happened 6-7 times -- every time I hit "Start Georef

Here is the info I filed through Fedora: https://bugzilla.redhat.com/show_bug.cgi?id=712620

Hope you can find out something!

Dave

freddog_de@yahoo.co.uk

History

#1 - 2011-07-08 11:55 AM - Volker Fröhlich

I packaged Fedora's QGIS 1.7 with the quick crash fix commit:10041327 Tim made

#2 - 2011-12-09 08:44 AM - Paolo Cavallini

- Status changed from Open to Closed

- Resolution set to fixed

- Pull Request or Patch supplied set to No

Seems fixed. Please check a fresh version of QGIS and reopen if necessary.
#3 - 2012-03-27 02:33 PM - Volker Fröhlich

- Affected QGIS version set to master

- Status changed from Closed to Reopened

- Crashes QGIS or corrupts data set to No

Paolo, are you referring to the patch I mention? From what I see in the Git log, the root cause was not investigated.

#4 - 2012-03-27 11:10 PM - Paolo Cavallini

- Resolution deleted (fixed)

- Pull Request or Patch supplied changed from No to Yes

#5 - 2012-04-02 03:15 PM - Volker Fröhlich

- Crashes QGIS or corrupts data changed from No to Yes

#6 - 2012-05-25 01:02 AM - Jürgen Fischer

- Pull Request or Patch supplied changed from Yes to No

- Category set to C++ Plugins

#7 - 2012-09-04 12:10 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#8 - 2012-12-30 09:46 AM - Giovanni Manghi

- Priority changed from Normal to High

#9 - 2014-01-30 11:43 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#10 - 2014-02-09 01:13 AM - Jürgen Fischer

- Subject changed from [Bug 712620] [abrt] qgis-1.6.0-3.fc14.1: QgsImageWarper::warpFile: Process /usr/bin/qgis was killed by signal 6 (SIGABRT) to 

georeferencer crash

#11 - 2014-06-29 06:33 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#12 - 2015-06-14 12:17 AM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to not reproducable

I don't think that this old issue is a problem anymore, please reopen if necessary.
